import request from '@/utils/request'

// 会员列表信息
export function queryMemberList(params) {
  return request({
    url: '/sysUserManage/querymemberbByPagination',
    method: 'get',
    params
  })
}
// 逻辑删除会员信息
export function deleteMember(businessId) {
  return request({
    url: 'sysUserManage/deleteMemberLogical/' + businessId,
    method: 'delete'
  })
}
// 根据id查找会员详情
export function getDetailById(id) {
  return request({
    url: '/sysUserManage/memberDetail/' + id,
    method: 'get'
  })
}
// 查询会员参加活动的列表
export function getMemberOrder(params) {
  return request({
    url: '/system/order/selectMemberOrderByPagination',
    method: 'get',
    params
  })
}
